#!/usr/bin/perl
use strict;
use warnings;

use Pause;
use Term::ReadKey;


sub SimplifyInput
{
	my $in_fname = shift @_;
	
	# Remove extra stuff.
	$in_fname =~ s/^
			"*			# Strip extra quotes.
			([^ \n "]*)	# Real filename part.
			"*			# Strip extra quotes.
			\n			# Strip newline.
		$/$1/x;
		
	return($in_fname);
}


sub RemoveExtension
{
	my $in_fname = shift @_;
	
	$in_fname =~ /^
			(
				(.*)	# Filename
				\..*	# Extension
			)
			|
			(
				.*		# Filename
			)
		$/x;
	
	if(defined($2))
	{
		$in_fname = $2;
	}
	else # if(defined($3))
	{
		$in_fname = $3;
	}
		
	return($in_fname);
}


{
	my ($PRF_in_fname, $PRF_out_fname);
	my ($NXC_in_fname, $NXC_out_fname);


	# Get PRF filename.
	print("Enter PRF filename:\n");
	$PRF_in_fname = ReadLine(0);
	$PRF_in_fname = SimplifyInput($PRF_in_fname);
	$PRF_out_fname = RemoveExtension($PRF_in_fname) . ".html";
	
	
	# Get NXC filename.
	print("Enter NXC filename:\n");
	$NXC_in_fname = ReadLine(0);
	$NXC_in_fname = SimplifyInput($NXC_in_fname);
	$NXC_out_fname = RemoveExtension($NXC_in_fname) . ".html";
	
	
	
	
	pause;
}